# Uses of Interface
org.eclipse.jface.text.reconciler.IReconcileResult

Packages that use IReconcileResult
Package
Description
org.eclipse.jface.text.reconciler
Provides a reconciler add-on for an `ITextViewer`.

## Uses of IReconcileResult in org.eclipse.jface.text.reconciler

Methods in org.eclipse.jface.text.reconciler that return IReconcileResult
Modifier and Type
Method
Description
`protected IReconcileResult[]`
AbstractReconcileStep.`convertToInputModel(IReconcileResult[] inputResults)`
Adapts the given an array with reconcile results to this step's input model and returns it.
`final IReconcileResult[]`
AbstractReconcileStep.`reconcile(IRegion partition)`
`final IReconcileResult[]`
AbstractReconcileStep.`reconcile(DirtyRegion dirtyRegion, IRegion subRegion)`
`IReconcileResult[]`
IReconcileStep.`reconcile(IRegion partition)`
Activates non-incremental reconciling.
`IReconcileResult[]`
IReconcileStep.`reconcile(DirtyRegion dirtyRegion, IRegion subRegion)`
Activates incremental reconciling of the specified dirty region.
`protected abstract IReconcileResult[]`
AbstractReconcileStep.`reconcileModel(DirtyRegion dirtyRegion, IRegion subRegion)`
Reconciles the model of this reconcile step.
Methods in org.eclipse.jface.text.reconciler with parameters of type IReconcileResult
Modifier and Type
Method
Description
`protected IReconcileResult[]`
AbstractReconcileStep.`convertToInputModel(IReconcileResult[] inputResults)`
Adapts the given an array with reconcile results to this step's input model and returns it.